use serde::{Deserialize, Serialize};

use schemars::JsonSchema;

#[derive(Serialize, Deserialize, JsonSchema)]
pub struct Key {
    pub key: String
}

impl From<model::models::keys::Key> for Key {
    fn from(k: model::models::keys::Key) -> Self {
        Self {
            key: k.token
        }
    }
}
